LINUX.ORG.RU
решено ФорумAdmin

[Gentoo] Проблема при установке php 5.3


0

1

Привет.

Решил поставить nginx+php+mysql. Первый и последний поставились хорошо, а вот с php возник затык.

Гугл дал этот мануал, сначала сделал --unmerge установленному dev-lang/php-5.3.8, затем попробовал установить через

USE="fpm" emerge -av dev-lang/php
в обоих случаях выдавало

root@One init.d $ USE="fpm" emerge -av dev-lang/php

 * IMPORTANT: 5 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


 * IMPORTANT: config file '/etc/portage/savedconfig/sys-apps/busybox-1.18.3' needs updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

These are the packages that would be merged, in order:

Calculating dependencies /

!!! Problem resolving dependencies for dev-lang/php                                                                                   ... done!

!!! All ebuilds that could satisfy "dev-lang/php" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-lang/php-5.4.0_beta2::gentoo (masked by: package.mask)
- dev-lang/php-5.4.0_beta1::gentoo (masked by: package.mask)
- dev-lang/php-5.3.8::gentoo (masked by: package.mask)
- dev-lang/php-5.2.17::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Ole Markus With <olemarkus@gentoo.org> (21 Aug 2011)
# Masking php:5.2. No longer maintained by upstream
# Will be removed in a few months, depending on how much noise this will create


For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


 * IMPORTANT: 5 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Как можно решить проблему?

>Проблема при установке php 5.3
//fixed
php-fpm - нет такого пакета

berkdb bzip2 cli crypt ctype curl exif fileinfo filter fpm* gd gdbm hash iconv json mysql nls pcntl phar posix readline session simplexml ssl threads tokenizer truetype unicode xml zip zlib

вот с этими юзами стоит нормально и зависимости считает нормально

megabaks ★★★★ ()

grep -i keywords /etc/make.conf

anonymous ()
Ответ на: комментарий от lolwut

вооот. удали нахер эту строку оттуда

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.